Bug 1160462 - (CVE-2019-19977) VUL-0: CVE-2019-19977: libesmtp: stack-based buffer over-read in ntlm_build_type_2() in ntlm/ntlmstruct.c
(CVE-2019-19977)
VUL-0: CVE-2019-19977: libesmtp: stack-based buffer over-read in ntlm_build_t...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: E-mail List
Security Team bot
https://smash.suse.de/issue/249780/
CVSSv3.1:SUSE:CVE-2019-19977:7.1:(AV...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-08 15:18 UTC by Wolfgang Frisch
Modified: 2021-10-20 07:51 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 OBSbugzilla Bot 2021-08-06 10:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1160462) was mentioned in
https://build.opensuse.org/request/show/910457 Factory / libesmtp
Comment 9 Swamp Workflow Management 2021-08-25 19:22:18 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:14793-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1160462,1189097
CVE References: CVE-2019-19977
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    libesmtp-1.0.4-157.18.3.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    libesmtp-1.0.4-157.18.3.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    libesmtp-1.0.4-157.18.3.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    libesmtp-1.0.4-157.18.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-09-02 13:22:58 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2917-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1160462,1189097
CVE References: CVE-2019-19977
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    libesmtp-1.0.6-17.3.1
SUSE OpenStack Cloud Crowbar 8 (src):    libesmtp-1.0.6-17.3.1
SUSE OpenStack Cloud 9 (src):    libesmtp-1.0.6-17.3.1
SUSE OpenStack Cloud 8 (src):    libesmtp-1.0.6-17.3.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libesmtp-1.0.6-17.3.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    libesmtp-1.0.6-17.3.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libesmtp-1.0.6-17.3.1
SUSE Linux Enterprise Server 12-SP5 (src):    libesmtp-1.0.6-17.3.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    libesmtp-1.0.6-17.3.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libesmtp-1.0.6-17.3.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libesmtp-1.0.6-17.3.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libesmtp-1.0.6-17.3.1
HPE Helion Openstack 8 (src):    libesmtp-1.0.6-17.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-09-03 13:25:57 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2937-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1160462,1189097
CVE References: CVE-2019-19977
JIRA References: 
Sources used:
SUSE MicroOS 5.0 (src):    libesmtp-1.0.6-150.4.1
SUSE Manager Server 4.0 (src):    libesmtp-1.0.6-150.4.1
SUSE Manager Retail Branch Server 4.0 (src):    libesmtp-1.0.6-150.4.1
SUSE Manager Proxy 4.0 (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise Server for SAP 15 (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise Server 15-LTSS (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libesmtp-1.0.6-150.4.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libesmtp-1.0.6-150.4.1
SUSE Enterprise Storage 6 (src):    libesmtp-1.0.6-150.4.1
SUSE CaaS Platform 4.0 (src):    libesmtp-1.0.6-150.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2021-09-03 13:32:04 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:2937-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1160462,1189097
CVE References: CVE-2019-19977
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    libesmtp-1.0.6-150.4.1
Comment 13 Swamp Workflow Management 2021-09-07 13:22:44 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:1235-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1160462,1189097
CVE References: CVE-2019-19977
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    libesmtp-1.0.6-lp152.4.3.1
Comment 14 Swamp Workflow Management 2021-09-21 19:38:54 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2937-2: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1160462,1189097
CVE References: CVE-2019-19977
JIRA References: 
Sources used:
SUSE MicroOS 5.1 (src):    libesmtp-1.0.6-150.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Marcus Meissner 2021-10-20 07:51:19 UTC
reelased